Buying Macbook Pro 15 and Snow Leopard

Discussion in 'Buying Tips and Advice' started by JakeRev, Nov 20, 2011.

  1. JakeRev macrumors newbie

    Joined:
    Jun 29, 2010
    #1
    Hi,

    I'm going to buy a Macbook Pro 15 inch with Snow Leopard, not Lion.

    Since my college requires me to use SL for software they use, I cannot buy current new generation.

    So, what I have found is this

    http://www.amazon.com/Apple-MacBook...HM0C/ref=sr_1_1?ie=UTF8&qid=1321831839&sr=8-1

    It is the last model supported SL, but it seems to preinstalled Lion(in the description).

    I have Snow Leopard DVD, so can I just install Snow Leopard on it?
     
  2. simsaladimbamba

    Joined:
    Nov 28, 2010
    Location:
    located
    #2
    You need at least Mac OS X version 10.6.7, as those MBPs came with a special version of 10.6.6, but as there is no RETAIL version higher than 10.6.4 out there, you might have to find another Mac with 10.6 capability (but no 10.6.5 or higher requirement) and connect an external HDD and install 10.6.4 or lower onto the external HDD, then upgrade it via Software Update and then clone the HDD to the MBP.
    http://www.everymac.com/systems/app...-15-early-2011-unibody-thunderbolt-specs.html

    Or when you get the MBP, you could contact Apple and ask for REPLACEMENT DVDs for around 15 to 30 USD and may get the correct Snow Leopard version, but just ask Apple about that.
     
  3. JakeRev thread starter macrumors newbie

    Joined:
    Jun 29, 2010
    #3
    So, if I install retail version of SL DVD, and upgrade to 10.6.7 or 8. It's not gonna work??
     
  4. And1ss macrumors 6502a

    And1ss

    Joined:
    Oct 20, 2009
    #4
    OP, I was in the same boat as you. I got an early 2011 mbp that came with Lion preinstalled in August. I tried to pop in the retail snow leopard disk but it wouldn't work because these new mbps have a different kernal version that isn't compatible with these new macbook pros.

    So, what you want to do isn't going to work. You need at least a snow leopard 10.6.6 install image/disk or higher to get snow leopard to work on the machine you looking to buy. Pain in the butt - you could do what the previous poster said.

    Luckily, I found an 10.6.6 SL image so I'm good =).

    http://support.apple.com/kb/HT1159#MacBook_Pro <-- Shows the minimum version you need install on the macbooks.
     
  5. old-wiz, Nov 21, 2011
    Last edited: Nov 21, 2011

    old-wiz macrumors G3

    Joined:
    Mar 26, 2008
    Location:
    West Suburban Boston Ma
    #5
    As a last resort, you can now run Snow Leopard virtualized under Lion. there was a story about it..

    The software is vmware fusion version 4.1
     
  6. Chodarth macrumors newbie

    Joined:
    Oct 23, 2011
    #6
    I was just about to put my 2009 15" MacBook Pro on Ebay. Has a new battery (Picked up at the apple store the other day), 2.53 GHz Core 2 Duo, 250GB 7200rpm HD, 4GB Ram, ExpressCard slot, Removable bottom with access to HD and Battery. Leopard and Snow Leopard. I used it as a desktop mostly so it's in mint condition, no scratches, dings, dead pixels etc. Any idea how much this might go for? I think this was the last model (15") that still offered the ExpressCard slot.
     

Share This Page